Subject: Slider split preview uses only part of the available height

Description

It's already been mentioned in http:/forge.typo3.org/issues/115394#note-5 but in current versions of many browser the slider split
preview will only use a small part of the screen in certain cases.

It seems that JS errors/warnings prevent the iframes from using the full height of the browser and they are displayed with only
approximately 150px height (as noticed in http:/forge.typo3.org/issues/11539#note-11 ).

Tested on Windows Vista the following browsers were tried:
- Chrome: displayed full height of browser

- Firefox, Opera: only 150px

- IE9 : only 150px plus the slider couldn't be dragged

Screenshot: see http:/forge.typo3.org/attachments/4799/comparison_view ff36_mac.png (from issue #11539)

Related issues:
related to Core - Bug # 11539: Split view Resolved 2010-12-17
related to Core - Bug # 61374: Workspace Preview unusable due to size Closed 2014-09-05

related to Core - Bug # 61377: Workspace Preview slider does not scale properly Accepted 2014-09-05

History

#1 - 2013-01-25 21:49 - Oliver Hader
- Status changed from New to Needs Feedback

- Target version set to 4.5.23

Do you have a stack trace of the mentioned JavaScript error available. I'm still wondering why a problem inside an IFrame causes the parent

frames/documents to have issues as well.

#2 - 2013-07-12 15:19 - Hercules Karvasonis

| am also able to reproduce that on latest TYPO3 4.7.12.

| followed those steps:

- Clicked on the Workspace module

- Generated a preview link

- Viewed the page with that link

- Opened the page from within the backend with the slider view and the height is very small.

In this case if i delete the "ADMCMD_prev" cookie then the page with the slider loads correctly.

Did anyone else find any way to reproduce that or fix it?
#3 - 2013-11-29 16:08 - Sven Proffe

Did anyone else find any way to reproduce that or fix it?

It's reliably reproduceable on TYPO3 6.1.6. Obviously not fixed yet. Could someone set this issue to "Must have"? This error is pretty annoying and

quite unexplainable to editors.

BTW: The Live view throws this error:

Fatal error: Call to a member function getSessionData() on a non-object in
typo3/sysext/workspaces/Classes/Hook/TypoScriptFrontendControllerHook.php on line 49

Seems to me, that this is responsible for the bug.

Thanks & regards

Sven

#4 - 2013-12-10 00:58 - Michael Stucki

- Category changed from Bugs to Workspaces

#5 - 2013-12-10 01:02 - Michael Stucki

- Project changed from Workspaces & Versioning to Core

- Category changed from Workspaces to Workspaces

#6 - 2014-02-20 17:40 - Alexander Opitz

- Is Regression set to No

@Hercules Karvasonis

your issue sounds more like http://forge.typo3.org/issues/18761

#7 - 2014-02-26 10:45 - Thomas Sperling

| have the same issue. | researched and found out the problem is that backendDomain is not set in the IFrame. So you got in the parent

'document.domain = "xyz.domain.de" and in the IFrame 'document.domain = """.

A similiar problem is maybe related: http://forge.typo3.org/issues/30643

#8 - 2014-07-10 14:43 - Alexander Opitz

- Status changed from Needs Feedback to New
- Target version deleted (4.5.23)

#9 - 2014-11-18 17:28 - Hercules Karvasonis

Alexander,

i tried the fix from issue #18761 and it is not working.
| can still experience the issue as i described it above.

Thanks,
Hercules Karvasonis.

#10 - 2015-01-23 11:33 - Mathias Schreiber

- Target version set to 7.5
